package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglKhmx;
import com.mosty.base.model.query.jcgl.TbJcglKhmxQuery;
import com.mosty.base.model.vo.jcgl.TbJcglKhmxVo;

import java.util.List;

public interface TbJcglKhmxService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TbJcglKhmxVo queryById(String id);

    /**
     * 分页查询
     *
     * @param tbJcglkhmx 筛选条件
     * @return
     */
    IPage<TbJcglKhmx> paginQuery(TbJcglKhmxQuery tbJcglkhmx);

    /**
     * 新增数据
     *
     * @param tbJcglKhmx 实例对象
     * @return 实例对象
     */
    int insert(TbJcglKhmx tbJcglKhmx);

    /**
     * 更新数据
     *
     * @param tbJcglKhmx 实例对象
     * @return 实例对象
     */
    int update(TbJcglKhmx tbJcglKhmx);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(String id);

    /**
     * 批量删除
     *
     * @param id
     * @return
     */
    boolean deleteByIds(List<String> id);


}
